Set an Information Item value for a Participant
put
/public/v1/participants/{participant}/information-itemsCreates or updates the participant's value for the given participant_information_item.id, attaching
any documents referenced by the id returned from the temporary upload endpoint.
participantstringrequiredThe participant UUID
Body
application/jsonparticipant_information_itemobjectrequired▶Show 1 child attributesHide child attributes
idstring<uuid>required
detailstring | nullmax length 65535Limited to 65535 bytes.
documentsobject[]max items 20▶Show 3 child attributesHide child attributes
filestringrequirednamestring | nullmax length 255categoriesobject[] | nullmax items 100▶Show 1 child attributesHide child attributes
idstringrequired
Response
200application/jsonParticipantInformationItemResource
dataobjectrequired▶Show 6 child attributesHide child attributes
idstringrequiredExample:i1n2f3o4-a5b6-47c8-9d0e-1f2a3b4c5d6edetailstring | nullrequiredExample:Medication details for participantcreated_atstringrequiredExample:2024-01-15T10:30:00+00:00updated_atstring | nullrequiredExample:2024-06-02T09:15:00+00:00info_itemobject | nullrequired▶Show 5 child attributesHide child attributes
idstringrequiredExample:i1t2e3m4-d5e6-47f8-9a0b-1c2d3e4f5a6bnamestringrequiredExample:Emergency ContactrequiredbooleanrequiredExample:truedocuments_allowedbooleanrequiredExample:truevisible_to_support_workersbooleanrequiredExample:false
documentsobject[] | string[]required▶Show 5 child attributesHide child attributes
idstringrequiredExample:d1c2e3f4-a5b6-47c8-9d0e-1f2a3b4c5d6enamestringrequiredExample:Service Agreementfile_extensionstringrequiredExample:pdfcreated_atstringrequiredExample:2024-01-15T10:30:00+00:00categoriesobject[]required▶Show 2 child attributesHide child attributes
idstringrequiredExample:c4a5b6c7-d8e9-40f1-a2b3-c4d5e6f7a8b9namestringrequiredExample:Assessments
401Unauthenticated403Authorization error404Not found422Validation error